Package helma.image.imageio.gif

# Class GIFImageWriter

java.lang.Object
javax.imageio.ImageWriter
helma.image.imageio.gif.GIFImageWriter

All Implemented Interfaces:
  `ImageTranscoder`

public class GIFImageWriter extends ImageWriter

## Field Summary

### Fields inherited from class javax.imageio.ImageWriter

`availableLocales, locale, originatingProvider, output, progressListeners, warningListeners, warningLocales`

## Constructor Summary

Constructors
Constructor
Description
`GIFImageWriter(GIFImageWriterSpi originatingProvider)`

## Method Summary

Modifier and Type
Method
Description
`IIOMetadata`
`convertImageMetadata(IIOMetadata inData, ImageTypeSpecifier imageType, ImageWriteParam param)`
`IIOMetadata`
`convertStreamMetadata(IIOMetadata inData, ImageWriteParam param)`
`IIOMetadata`
`getDefaultImageMetadata(ImageTypeSpecifier imageType, ImageWriteParam param)`
`IIOMetadata`
`getDefaultStreamMetadata(ImageWriteParam param)`
`ImageWriteParam`
`getDefaultWriteParam()`
`void`
`write(IIOMetadata streamMetadata, IIOImage image, ImageWriteParam param)`

### Methods inherited from class javax.imageio.ImageWriter

`abort, abortRequested, addIIOWriteProgressListener, addIIOWriteWarningListener, canInsertEmpty, canInsertImage, canRemoveImage, canReplaceImageMetadata, canReplacePixels, canReplaceStreamMetadata, canWriteEmpty, canWriteRasters, canWriteSequence, clearAbortRequest, dispose, endInsertEmpty, endReplacePixels, endWriteEmpty, endWriteSequence, getAvailableLocales, getLocale, getNumThumbnailsSupported, getOriginatingProvider, getOutput, getPreferredThumbnailSizes, prepareInsertEmpty, prepareReplacePixels, prepareWriteEmpty, prepareWriteSequence, processImageComplete, processImageProgress, processImageStarted, processThumbnailComplete, processThumbnailProgress, processThumbnailStarted, processWarningOccurred, processWarningOccurred, processWriteAborted, removeAllIIOWriteProgressListeners, removeAllIIOWriteWarningListeners, removeIIOWriteProgressListener, removeIIOWriteWarningListener, removeImage, replaceImageMetadata, replacePixels, replacePixels, replaceStreamMetadata, reset, setLocale, setOutput, write, write, writeInsert, writeToSequence`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GIFImageWriter

public GIFImageWriter(GIFImageWriterSpi originatingProvider)

## Method Details

### write

public void write(IIOMetadata streamMetadata, IIOImage image, ImageWriteParam param) throws IOException

Specified by:
  `write` in class `ImageWriter`
Throws:
  `IOException`

### convertStreamMetadata

public IIOMetadata convertStreamMetadata(IIOMetadata inData, ImageWriteParam param)

Specified by:
  `convertStreamMetadata` in interface `ImageTranscoder`
Specified by:
  `convertStreamMetadata` in class `ImageWriter`

### convertImageMetadata

public IIOMetadata convertImageMetadata(IIOMetadata inData, ImageTypeSpecifier imageType, ImageWriteParam param)

Specified by:
  `convertImageMetadata` in interface `ImageTranscoder`
Specified by:
  `convertImageMetadata` in class `ImageWriter`

### getDefaultImageMetadata

public IIOMetadata getDefaultImageMetadata(ImageTypeSpecifier imageType, ImageWriteParam param)

Specified by:
  `getDefaultImageMetadata` in class `ImageWriter`

### getDefaultStreamMetadata

public IIOMetadata getDefaultStreamMetadata(ImageWriteParam param)

Specified by:
  `getDefaultStreamMetadata` in class `ImageWriter`

### getDefaultWriteParam

public ImageWriteParam getDefaultWriteParam()

Overrides:
  `getDefaultWriteParam` in class `ImageWriter`